HOW TO UPGRADE TO ACT! V16 FROM A PREVIOUS VERSION

You would like to know the process to upgrade your current version of Act! to Act! v16.
This article provides the necessary information to upgrade your software and database to Act! v16.

Important Notice:
When upgrading a database from a previous version of Act!, it is CRITICAL that you create back-ups of your e-mail and all of your contact database(s). Once you have installed and updated your database(s) you CANNOT revert back unless you have a back up. When you update your current database(s), they will be updated in place and written over. If this is a shared database Swiftpage recommends that the upgrade process for the database be initiated on the machine hosting the database.

For instructions on how to back up your Act! database, please see the following Knowledgebase article:

    Title: How to Back Up and Restore an ACT! Database
    Answer ID:

19211
Note: If you are currently using Act! 2005-2010, the installation of Act! v16 will automatically update the existing SQL ACT7 instance. You do not have to uninstall Microsoft SQL Server before installing Act! v16.

Act! 3.x, 4.x, 5.x (2000) or 6.x (2004):
If you are attempting to convert an ACT! 3.x, 4.x, 5.x (2000) or 6.x (2004) database to Act! v16, It is HIGHLY recommended that you perform maintenance on your database using the Act! Diagnostics tool for that version prior to conversion. For more information, please refer the following Knowledgebase article:

Title: How to Use The Sage ACT! Data Diagnostic Tool (ACTDIAG) to Scan and Repair a Database
Answer ID: 11984

If you have been using Act! 2005 or higher and also have an installed copy of Act! 2004 (6.0) or earlier where you were using Internet Mail with Act!, the Internet Mail will be converted again during the installation of Act! v16. This can cause issues with your new installation of Act!. It is strongly recommended that you rename your Email folder. It is suggested that you rename this folder to ACT6_Email. The default location is C:\Documents and Settings\<user_name>\My Documents\ACT\.

Special Note for Multi-User Databases:
 If you are sharing a database with other users, all users must upgrade to the same version of Act! to continue sharing the database. It is recommended that prior to updating, all users should log out of the database. Users that have not upgraded will be unable to log in to the database until they have upgraded.

Special Note for Remote Synchronization Users:
If you are synchronizing a database with other users, all users must upgrade to this version to continue synchronizing. It is strongly advised that all remote database users synchronize before the main database is converted. In addition, the remote users should not enter or change any data into their remote databases or attempt to synchronize until the after main database and all remotes are upgraded and converted to the new version.

Network and Internet sync services must be uninstalled and reinstalled using the Act! v16 disk or download files . For more information, please refer the following Knowledgebase articles:
Title: How to install And configure Act! Network Sync Service for Act! v16 Premium
Answer ID: 36101
Title: How to install And configure Act! Internet Synchronization Service for Act! v16 Premium
Answer ID: 36102

Note: If you are using Application synchronization (built-in sync service), this is upgraded along with the program and does not require the installation of a separate service.

Special Note for Handheld Link Users:
ACT! Link for Palm OS®, ACT! Link for Pocket PC and ACT! For Palm OS are no longer available with Act!. These services have been replaced with the release of Sage ACT! Connect, which meets a wider range of solutions for customers using mobile devices. For more information regarding Sage ACT! Connect, please see the following Knowledgebase article:
What is Sage ACT! Connect?
Answer ID: 26009
Suggestions for your Computer before Upgrading:
The following information is designed to help to speed up your installation of Act!:
Windows® System Requirements:
Please refer to the Act! v16 System Requirements to ensure you have the recommended hardware and software updates to install and run the software.How to determine what Windows update you have installed:

    Use the following steps:

Right-click your My Computer icon on the Windows Desktop, and then click Properties.

–or–

    1. Launch the Windows Control Panel.
    2. Double-click the System option.
    The

System Properties

     dialog box appears.

Windows XP/Windows Server® 2003

Windows Vista®/Windows 7/Windows Server 2008/Windows 8

Windows Installer 4.5:
Act!. It has been included and will automatically be installed during the Act! v16 installation if not present. Installing this prior to the installation of Act! v16 will decrease the overall installation time. Please refer to the following Microsoft Knowledgebase document if you would like to install before installing Act!:
Windows Installer 4.5 Redistributable
Microsoft .NET Framework 4.0:
It is recommended that you update your copy of the .NET Framework to version 4.0 before installing. This update is required to install Act!. It has been included and will automatically be installed during the Act! v16 installation if not present. Installing this prior to the installation of Act! v16 will decrease the overall installation time. Please refer to the following Microsoft Knowledgebase document if you would like to install before installing Act!:
Microsoft .NET Framework 4 (Standalone Installer)
Software-Based Firewall Users:
If you use a software-based firewall, you must temporarily disable it to install Act!. (This does not apply to hardware-based firewalls.) Once you have installed Act!, you can enable the firewall software and use it with Act!. Swiftpage recommends the following process:

  1. Disconnect from the Internet (disconnect the cable leading to your computer).
  2. Disable the firewall software, following the software vendor’s instructions.
  3. Install Act!.
  4. Enable the firewall software, following the software vendor’s instructions.
  5. Re-connect to the Internet (reconnect the cable leading to your computer).

Installation Information:
It is recommended to uninstall the previous version of ACT! 2005 or higher through the Add\Remove Programs (Windows XP, Server 2003) or Programs and Features (Windows Vista, Windows 7, Server 2008, Windows 8) function in your Windows Control Panel before installing Act! v16. There is no need to remove Act! 6.0 (2004) or earlier versions as they can co-exist with Act! v16 on the same computer.

Please refer to the appropriate Knowledgebase article:
Title: How to install Act! v16 Pro
Answer ID: 36103

Title: How to install Act! v16 Premium
Answer ID: 36104

Title: How to install Act! v16 Premium (access via web)
Answer ID: 36105

Upgrading Your Database:

Once you have installed Act! you must upgrade your databases. Each database will upgrade automatically upon opening. Use the following steps:

Important: You can only convert databases that locally reside on the machine on which you are converting them. Do not attempt to convert databases over a network.